diff --git a/src/backend/catalog/dependency.c b/src/backend/catalog/dependency.c
index ec8eb74..795051e 100644
*** a/src/backend/catalog/dependency.c
--- b/src/backend/catalog/dependency.c
*************** getObjectDescription(const ObjectAddress
*** 2389,2398 ****
  				 * textual form of the function with arguments, and the second
  				 * %s is the description of the operator family.
  				 */
! 				appendStringInfo(&buffer, _("function %d %s of %s"),
  								 amprocForm->amprocnum,
  								 format_procedure(amprocForm->amproc),
! 								 opfam.data);
  				pfree(opfam.data);
  
  				systable_endscan(amscan);
--- 2389,2400 ----
  				 * textual form of the function with arguments, and the second
  				 * %s is the description of the operator family.
  				 */
! 				appendStringInfo(&buffer, _("function %d %s of %s for (%s,%s)"),
  								 amprocForm->amprocnum,
  								 format_procedure(amprocForm->amproc),
! 								 opfam.data,
! 								 format_type_be(amprocForm->amproclefttype),
! 								 format_type_be(amprocForm->amprocrighttype));
  				pfree(opfam.data);
  
  				systable_endscan(amscan);
